Skip to content
Firecrawl Docsv2
Firecrawl Docs
Interact Endpoints

List Interact Sessions

GET/interact

Retrieve your standalone Interact sessions, optionally filtered by status.

Headers

HeaderValue
AuthorizationBearer <API_KEY>

Query Parameters

ParameterTypeRequiredDescription
statusstringNoFilter by session status: "active" or "destroyed"

Response

FieldTypeDescription
successbooleanWhether the request succeeded
sessionsarrayList of session objects

Session Object

FieldTypeDescription
idstringUnique session identifier
statusstringCurrent session status ("active" or "destroyed")
cdpUrlstringWebSocket URL for CDP connections
liveViewUrlstringURL to watch the session in real time
interactiveLiveViewUrlstringURL to interact with the session in real time (click, type, scroll)
createdAtstringISO 8601 timestamp of session creation
lastActivitystringISO 8601 timestamp of last activity

Example Request

curl -X GET "https://api.firecrawl.dev/v2/interact?status=active" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY"

Example Response

{
  "success": true,
  "sessions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "status": "active",
      "cdpUrl": "wss://cdp-proxy.firecrawl.dev/cdp/550e8400-e29b-41d4-a716-446655440000",
      "liveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000",
      "interactiveLiveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000?interactive=true",
      "createdAt": "2025-06-01T12:00:00Z",
      "lastActivity": "2025-06-01T12:05:30Z"
    }
  ]
}

Are you an AI agent that needs a Firecrawl API key? See firecrawl.dev/agent-onboarding/SKILL.md for automated onboarding instructions.

Was this page helpful?Suggest editsRaise issue